UbuntuUpdates.org

Package "glib2.0"

Name: glib2.0

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • GLib library of C routines
  • Debugging symbols for the GLib libraries
  • Programs for the GLib library
  • Common files for GLib library

Latest version: 2.40.2-0ubuntu1.1
Release: trusty (14.04)
Level: updates
Repository: main

Links

Save this URL for the latest version of "glib2.0": https://www.ubuntuupdates.org/glib2.0



Other versions of "glib2.0" in Trusty

Repository Area Version
base main 2.40.0-2
base universe 2.40.0-2
security universe 2.40.2-0ubuntu1.1
security main 2.40.2-0ubuntu1.1
updates universe 2.40.2-0ubuntu1.1
PPA: Gnome Shell 2.42.2-0ubuntu1~14.04~ricotz0

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 2.40.2-0ubuntu1.1 2018-09-19 09:06:21 UTC

  glib2.0 (2.40.2-0ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: NULL pointer deference
    - debian/patches/CVE-2018-16428.patch: fix in glib/gmarkup.c,
      glib/tests/Makefile.am,
      glib/tests/markups/fail-51.expected,
      glib/tests/markups/fail-51.gmarkup.
    - CVE-2018-16428
  * SECURITY UPDATE: Read out-of-bounds
    - debian/patches/CVE-2018-16429.patch: fix in glib/gmarkup.c and
      glib/tests/Makefile.am,
      glib/tests/markups/fail-50.expected,
      glib/tests/markups/fail-50.gmarkup.
    - CVE-2018-16429
  * Fixing tests in gdatetime invented timezone
    - debian/patches/User_a_real_rather_than_invented_timezone.patch: fix in
      glib/tests/gdatetime.c.

 -- <email address hidden> (Leonidas S. Barbosa) Mon, 17 Sep 2018 10:20:39 -0300

Source diff to previous version
CVE-2018-16428 In GNOME GLib 2.56.1, g_markup_parse_context_end_parse() in gmarkup.c has a NULL pointer dereference.
CVE-2018-16429 GNOME GLib 2.56.1 has an out-of-bounds read vulnerability in g_markup_parse_context_parse() in gmarkup.c, related to utf8_str().

Version: 2.40.2-0ubuntu1 2014-10-28 15:06:45 UTC

  glib2.0 (2.40.2-0ubuntu1) trusty; urgency=medium

  * New upstream stable release (LP: #1372847), fixing bugs
    + gobject: try to link with -Wl,-z,nodelete to prevent unloading
    + g_file_copy: Don't set GError when we intend to ignore errors
    + gapplication-tool: ensure object paths are valid
    + gtlscertificate: fix certificate list parsing with trailing comments
    + g_str_has_prefix: improve efficiency with long strings
    + Added type check to GPermission public functions.
    + GApplication: Don't decrease use_count below 0
    + networkmonitornetlink: fix IPv6 issues on Android
    + gresolver: Ensure GThreadedResolver always sets an error if resolution
      fails
    + gmacros.h: add G_GNUC_*_IGNORE_DEPRECATIONS macros for clang
    + networkaddress: fix parsing of uri with @ after authority
    + gvariant tests: workaround libc/compiler "issue"
 -- Iain Lane <email address hidden> Tue, 23 Sep 2014 10:37:56 +0100

1372847 [SRU] New stable release 2.40.1



About   -   Send Feedback to @ubuntu_updates